Bug 1789624 (CVE-2020-0603) - CVE-2020-0603 dotnet: Memory Corruption in SignalR
Summary: CVE-2020-0603 dotnet: Memory Corruption in SignalR
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-0603
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1789892 1789894 1789975 1790017 1790852 1790853 1790855 1790857 1794435
Blocks: 1789627
TreeView+ depends on / blocked
 
Reported: 2020-01-09 22:46 UTC by Pedro Sampaio
Modified: 2020-03-04 20:59 UTC (History)
8 users (show)

Fixed In Version: aspnet core 3.0.1, aspnet core 3.1.1
Doc Type: If docs needed, set a value
Doc Text:
A memory corruption flaw was found in ASP.NET core. A client can write to freed memory on the server which could result in undefined behavior. An unauthenticated, remote attacker could exploit this vulnerability to execute arbitrary code by sending specially crafted requests to an ASP.NET Core application.
Clone Of:
Environment:
Last Closed: 2020-01-16 20:09:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0137 None None None 2020-01-17 15:01:59 UTC
Red Hat Product Errata RHBA-2020:0138 None None None 2020-01-17 15:04:26 UTC
Red Hat Product Errata RHBA-2020:0143 None None None 2020-01-21 02:19:32 UTC
Red Hat Product Errata RHBA-2020:0148 None None None 2020-01-21 02:19:05 UTC
Red Hat Product Errata RHSA-2020:0130 None None None 2020-01-16 14:58:29 UTC
Red Hat Product Errata RHSA-2020:0134 None None None 2020-01-16 16:32:27 UTC

Comment 5 Stefan Cornelius 2020-01-14 19:21:56 UTC
A vulnerability related to handling objects in memory has been reported in ASP.NET Core. An unauthenticated remote attacker could exploit this vulnerability to execute arbitrary code by sending specially crafted requests to an ASP.NET Core application.

Comment 7 errata-xmlrpc 2020-01-16 14:58:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:0130 https://access.redhat.com/errata/RHSA-2020:0130

Comment 8 errata-xmlrpc 2020-01-16 16:32:25 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2020:0134 https://access.redhat.com/errata/RHSA-2020:0134

Comment 9 Product Security DevOps Team 2020-01-16 20:09:47 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-0603


Note You need to log in before you can comment on or make changes to this bug.